Bug 434087 - util-vserver failed massrebuild attempt for GCC 4.3
util-vserver failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: util-vserver (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
urlopen
:
Depends On:
Blocks: gcc43rebuildfail 442346
  Show dependency treegraph
 
Reported: 2008-02-22 08:03 EST by Jesse Keating
Modified: 2013-01-09 21:53 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.30.215-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-14 10:28:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 08:03:46 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=438670
Exit code was 30, check the root.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-02-25 19:18:44 EST
mock issues - urlopen timeouts:

DEBUG util.py:261:  Error Downloading Packages:
DEBUG util.py:261:    audit-libs - 1.6.8-1.fc9.x86_64: failed to retrieve
audit/1.6.8/1.fc9/x86_64/audit-libs-1.6.8-1.fc9.x86_64.rpm from build
DEBUG util.py:261:  error was [Errno 12] Timeout: <urlopen error timed out>
DEBUG util.py:261:    filesystem - 2.4.11-1.fc8.x86_64: failed to retrieve
filesystem/2.4.11/1.fc8/x86_64/filesystem-2.4.11-1.fc8.x86_64.rpm from build
DEBUG util.py:261:  error was [Errno 12] Timeout: <urlopen error timed out>
DEBUG util.py:261:    libstdc++-devel - 4.3.0-0.10.x86_64: failed to retrieve
gcc/4.3.0/0.10/x86_64/libstdc++-devel-4.3.0-0.10.x86_64.rpm from build
DEBUG util.py:261:  error was [Errno 12] Timeout: <urlopen error timed out>
DEBUG util.py:261:    nspr - 4.7-1.fc9.x86_64: failed to retrieve
nspr/4.7/1.fc9/x86_64/nspr-4.7-1.fc9.x86_64.rpm from build
DEBUG util.py:261:  error was [Errno 12] Timeout: <urlopen error timed out>
DEBUG util.py:261:    gcc-c++ - 4.3.0-0.10.x86_64: failed to retrieve
gcc/4.3.0/0.10/x86_64/gcc-c++-4.3.0-0.10.x86_64.rpm from build
DEBUG util.py:261:  error was [Errno 12] Timeout: <urlopen error timed out>
DEBUG util.py:261:    gmp - 4.2.2-6.fc9.x86_64: failed to retrieve
gmp/4.2.2/6.fc9/x86_64/gmp-4.2.2-6.fc9.x86_64.rpm from build
DEBUG util.py:261:  error was [Errno 12] Timeout: <urlopen error timed out>
DEBUG util.py:261:    pcre - 7.3-3.fc9.x86_64: failed to retrieve
pcre/7.3/3.fc9/x86_64/pcre-7.3-3.fc9.x86_64.rpm from build
DEBUG util.py:261:  error was [Errno 12] Timeout: <urlopen error timed out>
DEBUG util.py:261:    mpfr - 2.3.0-2.fc9.x86_64: failed to retrieve
mpfr/2.3.0/2.fc9/x86_64/mpfr-2.3.0-2.fc9.x86_64.rpm from build
DEBUG util.py:261:  error was [Errno 12] Timeout: <urlopen error timed out>
DEBUG util.py:261:  
Comment 2 Alex Lancaster 2008-04-13 07:32:28 EDT
Looking at recent build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=563208

it *almost* builds, it only fails one test:

PASS: lib/testsuite/cflags
PASS: lib/testsuite/personality
PASS: lib/testsuite/fmt
PASS: lib/testsuite/parselimit
PASS: src/testsuite/vunify-functest
PASS: src/testsuite/chcontext-test
PASS: src/testsuite/chbind-test
PASS: src/testsuite/vunify-test.sh
PASS: src/testsuite/hashcalc-plain.sh
PASS: src/testsuite/hashcalc.sh
PASS: ensc_vector/testsuite/test1
PASS: ensc_vector/testsuite/test2
PASS: lib_internal/testsuite/filecfg-ml
PASS: lib_internal/testsuite/copy-check
PASS: lib_internal/testsuite/isnumber
PASS: lib_internal/testsuite/isnumber-gnu
FAIL: lib_internal/testsuite/sigbus
PASS: lib_internal/testsuite/sigbus-gnu
PASS: lib_internal/testsuite/matchlist
PASS: lib_internal/testsuite/matchlist-gnu
PASS: lib_internal/testsuite/crypto
===============================================
1 of 21 tests failed
Please report to vserver@list.linux-vserver.org

perhaps the test could be disabled temporarily just to get the thing to build
and fix the broken deps in rawhide:

http://koji.fedoraproject.org/mash/rawhide-20080413/logs/depcheck
Comment 3 Alex Lancaster 2008-04-13 07:38:28 EDT
Broken deps for i386
----------------------------------------------------------
	util-vserver-build-0.30.214-2.fc8.i386 requires libbeecrypt.so.6

Comment 4 Alex Lancaster 2008-04-14 08:23:43 EDT
I temporarily commented-out the %check directive, and did a test build which
worked OK:

http://koji.fedoraproject.org/koji/taskinfo?taskID=565118

so I'm now building and will request this be tagged f9-final by rel-eng.
Comment 5 Alex Lancaster 2008-04-14 10:28:51 EDT
Tagged, closing bug.  (Will open a new one about the %check).

Note You need to log in before you can comment on or make changes to this bug.